<?php
/*
    Plugin Name: wpkws
    Plugin URI: http://www.imwpweb.com/tag/wpkws
    Description: wordpress自动关键词系统，文章自动匹配长尾词作标签，自动根据长尾词聚合内容，为你带来超高流量
    Version: 2.9
    Author: imwpweb
    Author URI: http://www.imwpweb.com
*/

define("WPKWS_VERSION", 100801);

// 必须要求imwpf插件
if (!class_exists('imwpf\modules\Form')) {
    add_action('admin_notices', function () {
        echo "<div class='update-nag notice notice-warning inline'>wpkws需要imwpf环境支持，请安装<a href='http://www.imwpweb.com/400.html' target='_blank'>imwpf插件!</a></div>";
    });
    return ;
}

// 移到最后激活
add_filter('pre_update_option_active_plugins', function ($plugins) {
    $currentPlugin = plugin_basename(__FILE__);
    $key = array_search($currentPlugin, $plugins);
    if ($key === false) {
        return $plugins;
    }
    unset($plugins[$key]);
    $plugins[] = $currentPlugin;
    return $plugins;
});

if (is_admin()) {
    $UI = new \wpkws\src\UI();
    $UI->init();
}

$Hooks = new \wpkws\src\Hooks();
$Hooks->init();

$APIs = new \wpkws\src\APIs();
$APIs->init();